Bug 30472 - tiff transparent pixels shown as black one
Summary: tiff transparent pixels shown as black one
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Images-TIFF
  Show dependency treegraph
 
Reported: 2010-09-29 10:48 UTC by Daniil Bratashov
Modified: 2019-06-29 01:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test case (odt file, it should be white, but shows ugly black drawing instead) (16.17 KB, application/vnd.oasis.opendocument.text)
2010-10-05 10:09 UTC, Daniil Bratashov
Details
patch to make this example work (4.88 KB, patch)
2010-10-06 05:32 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniil Bratashov 2010-09-29 10:48:33 UTC
Transparent pixels in tiff images (both inserted from file or imported as part of some other format like docx) are shown as black one. So if we have image with some black content on transparent background we got completely black rectangle instead.
Comment 1 Caolán McNamara 2010-10-05 06:23:06 UTC
Can you attach a demo .tiff example here which reproduces this ?
Comment 2 Daniil Bratashov 2010-10-05 10:09:14 UTC
Created attachment 39184 [details]
test case (odt file, it should be white, but shows ugly black drawing instead)
Comment 3 Tor Lillqvist 2010-10-06 00:58:42 UTC
Well, it isn't necessarily white that should be shown through the transparent pixels, but the page background colour, as happens for PNG images with alpha. But yeah, it seems as if the handling of TIFF with transparency is different from the handling of PNG with transparency. Maybe transparency in TIFF images isn't handled at all? So a workaround is to use PNG instead.
Comment 4 Daniil Bratashov 2010-10-06 01:12:51 UTC
(In reply to comment #3)
> Maybe transparency in TIFF images
> isn't handled at all? So a workaround is to use PNG instead.

The file where bug was found is project for article, made in MS Word with tiff images as was required by publisher, so exchanging it for png is not always a good idea. If was very confusing for original author to get the completelly black image instead, trying to open file in LO and OOo.
Comment 5 Tor Lillqvist 2010-10-06 01:51:25 UTC
Sure, sure, I am not saying it isn't a bug. I just pointed out a workaround until the bug is fixed.
Comment 6 Caolán McNamara 2010-10-06 05:28:53 UTC
I'll take this one
Comment 7 Caolán McNamara 2010-10-06 05:32:25 UTC
Created attachment 39224 [details]
patch to make this example work
Comment 8 Caolán McNamara 2010-10-06 05:37:44 UTC
cmc->thb: can you have a once-over look at this impl. Does this seem reasonable to you, it definitely works for the submitted example anyway.
Comment 9 Caolán McNamara 2010-10-07 03:07:21 UTC
Committed and pushed. Might be some more scope to include some other tiff variants e.g. different depths or grayscale which also support an alpha channel.
Comment 10 sophie 2010-11-01 06:48:50 UTC
Verified in the 10_10_28_Cedric.rpm build - closing - Sophie
Comment 11 Roman Eisele 2012-05-04 02:56:01 UTC
This is a Writer issue, therefore changed the 'Component' field appropriately.